# -*- coding: cp1251 -*-

import logging
import logging.handlers
import os, sys

logPath = os.path.normpath('%s/../logs/sync.log' % sys.path[0])

if not os.path.exists(os.path.dirname(logPath)):
    os.makedirs(os.path.dirname(logPath))

logger = logging.getLogger('su.artix.loggerSync')
#logging.basicConfig(level=logging.DEBUG, format='%(asctime)s %(levelname)-8s %(message)s', filename='%s/log/debug.log' % parentDir, filemode='a')
handler = logging.handlers.RotatingFileHandler(logPath, maxBytes=1000000, backupCount=5, delay=False)
handler.setFormatter(logging.Formatter('%(asctime)s %(levelname)-8s %(message)s %(module)5s(%(lineno)s)'))

logger.addHandler(handler)
logger.setLevel(logging.INFO)
